# Interface Space

A volume defining part of a Twin or facility

interface Space {
aggregatedSpaces?: string[];
class: "IfcSpace";
elementQuantities?: ElementQuantities[];
id: string;
name?: string;
propertySets?: PropertySet[];
}

##### Index

### Properties

aggregatedSpaces?
class
elementQuantities?
id
name?
propertySets?

## Properties

### `Optional` aggregatedSpaces

aggregatedSpaces?: string[]

Spaces that are part of this space

### class

class: "IfcSpace"

Type of space (e.g. IfcSpace)

### `Optional` elementQuantities

elementQuantities?: ElementQuantities[]

### id

id: string

Unique identifier for the space

### `Optional` name

name?: string

### `Optional` propertySets

propertySets?: PropertySet[]